Name:          python-snowballstemmer
Version:       1.9.1
Release:       1mamba
Summary:       Snowball stemming library collection for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/snowballstemmer
Source:        https://pypi.debian.net/snowballstemmer/snowballstemmer-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package provides 16 stemmer algorithms (15 + Poerter English stemmer) generated from Snowball algorithms.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n snowballstemmer-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Sat Oct 05 2019 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-2mamba
- rebuilt with py36 target

* Fri Dec 25 2015 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Jan 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- package created using the webbuild interface
